//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_GUIMenuInput.cpp
//
// Description: this handles the platform specific menu control system	for
// the PC-CLI platform
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Rendering/Asura_DisplayLimits.h"

// Asura specific
#include "Rendering/Asura_Viewport.h"

////////////////////////////////////////////////////////////////////////////////
// Function definitions
////////////////////////////////////////////////////////////////////////////////

Asura_Bounding_Rectangle Asura_DisplayLimits::Platform_GetPrimaryDisplayBounds()
{
	{
		return Asura_Bounding_Rectangle(0, 
										0, 
										static_cast<float>(Asura_Viewport::GetWidth()),
										static_cast<float>(Asura_Viewport::GetHeight())
									   );
	}
}

Asura_Bounding_Rectangle Asura_DisplayLimits::Platform_GetBoundingRectangle()
{
	return Platform_GetPrimaryDisplayBounds();
}
